/********************************************************************************
Autor: Eduard Monzonis Hierro                                   UOC
18/05/2012                                             TFC: CONTROL ENERGIA.
-- CREACIO DE DISPARADORS PER GESTIONAR ELS INSERTS
-- creacio de TRIGGERS
******************************************************************************/
-- VIA
CREATE OR REPLACE TRIGGER TR_VIA_KEY BEFORE INSERT ON VIA
FOR EACH ROW
BEGIN
  SELECT SEQ_VIA.NEXTVAL INTO :NEW.idVia FROM DUAL;
END;
/
--  LOG_TFC
CREATE OR REPLACE TRIGGER TR_LOG_TFC_KEY BEFORE INSERT ON LOG_TFC
FOR EACH ROW
BEGIN
  SELECT SEQ_LOG_TFC.NEXTVAL INTO :NEW.idLog FROM DUAL;
END;
/
--  CENTRAL
CREATE OR REPLACE TRIGGER TR_CENTRAL_KEY BEFORE INSERT ON CENTRAL
FOR EACH ROW
BEGIN
  SELECT SEQ_CENTRAL.NEXTVAL INTO :NEW.idCentral FROM DUAL;
END;
/
--  CLASSE CENTRAL
CREATE OR REPLACE TRIGGER TR_CALSSE_CENTRAL_KEY BEFORE INSERT ON CLASSE_CENTRAL
FOR EACH ROW
BEGIN
  SELECT SEQ_CLASSE_CENTRAL.NEXTVAL INTO :NEW.idClasse FROM DUAL;
END;
/
--  CLIENT
CREATE OR REPLACE TRIGGER TR_CLIENT_KEY BEFORE INSERT ON CLIENT
FOR EACH ROW
BEGIN
  SELECT SEQ_CLIENT.NEXTVAL INTO :NEW.idClient FROM DUAL;
END;
/
--  COMPTADOR
CREATE OR REPLACE TRIGGER TR_COMPTADOR_KEY BEFORE INSERT ON COMPTADOR
FOR EACH ROW
BEGIN
  SELECT SEQ_COMPTADOR.NEXTVAL INTO :NEW.idComptador FROM DUAL;
END;
/
--  CONTRACTE
CREATE OR REPLACE TRIGGER TR_CONTRACTE_KEY BEFORE INSERT ON CONTRACTE
FOR EACH ROW
BEGIN
  SELECT SEQ_CONTRACTE.NEXTVAL INTO :NEW.idContracte FROM DUAL;
END;
/
--  ESTAT
CREATE OR REPLACE TRIGGER TR_ESTAT_KEY BEFORE INSERT ON ESTAT
FOR EACH ROW
BEGIN
  SELECT SEQ_ESTAT.NEXTVAL INTO :NEW.idEstat FROM DUAL;
END;
/
--  FABRICANT
CREATE OR REPLACE TRIGGER TR_FABRICANT_KEY BEFORE INSERT ON FABRICANT
FOR EACH ROW
BEGIN
  SELECT SEQ_FABRICANT.NEXTVAL INTO :NEW.idFabricant FROM DUAL;
END;
/
--  HIST_LECTURA
CREATE OR REPLACE TRIGGER TR_HIST_LECTURA_KEY BEFORE INSERT ON HIST_LECTURA
FOR EACH ROW
BEGIN
  SELECT SEQ_HIST_LECTURA.NEXTVAL INTO :NEW.regHistLectura FROM DUAL;
END;
/
--  INSPECCIO
CREATE OR REPLACE TRIGGER TR_INSPECCIO_KEY BEFORE INSERT ON INSPECCIO
FOR EACH ROW
BEGIN
  SELECT SEQ_INSPECCIO.NEXTVAL INTO :NEW.idInspeccio FROM DUAL;
END;
/
--  LECTURA
CREATE OR REPLACE TRIGGER TR_LECTURA_KEY BEFORE INSERT ON LECTURA
FOR EACH ROW
BEGIN
  SELECT SEQ_LECTURA.NEXTVAL INTO :NEW.idLectura FROM DUAL;
END;
/
--  LINEA_TIPUS
CREATE OR REPLACE TRIGGER TR_LINEA_TIPUS_KEY BEFORE INSERT ON LINEA_TIPUS
FOR EACH ROW
BEGIN
  SELECT SEQ_LINEA_TIPUS.NEXTVAL INTO :NEW.idTLinea FROM DUAL;
END;
/
--  MODELO
CREATE OR REPLACE TRIGGER TR_MODELO_KEY BEFORE INSERT ON MODELO
FOR EACH ROW
BEGIN
  SELECT SEQ_MODELO.NEXTVAL INTO :NEW.idModelo FROM DUAL;
END;
/
--  PERSONA
CREATE OR REPLACE TRIGGER TR_PERSONA_KEY BEFORE INSERT ON PERSONA
FOR EACH ROW
BEGIN
  SELECT SEQ_PERSONA.NEXTVAL INTO :NEW.idPersona FROM DUAL;
END;
/
--  PAIS
CREATE OR REPLACE TRIGGER TR_PAIS_KEY BEFORE INSERT ON PAIS
FOR EACH ROW
BEGIN
  SELECT SEQ_PAIS.NEXTVAL INTO :NEW.idPais FROM DUAL;
END;
/
--  PROVINCIA
CREATE OR REPLACE TRIGGER TR_PROVINCIA_KEY BEFORE INSERT ON PROVINCIA
FOR EACH ROW
BEGIN
  SELECT SEQ_PROVINCIA.NEXTVAL INTO :NEW.idProvincia FROM DUAL;
END;
/
--  LOCALITAT
CREATE OR REPLACE TRIGGER TR_LOCALITAT_KEY BEFORE INSERT ON LOCALITAT
FOR EACH ROW
BEGIN
  SELECT SEQ_LOCALITAT.NEXTVAL INTO :NEW.idLocalitat FROM DUAL;
END;
/
--  TIPO_CENTRAL
CREATE OR REPLACE TRIGGER TR_TIPO_CENTRAL_KEY BEFORE INSERT ON TIPO_CENTRAL
FOR EACH ROW
BEGIN
  SELECT SEQ_TIPO_CENTRAL.NEXTVAL INTO :NEW.idTipoCentral FROM DUAL;
END;
/
--  TIPO_INSPECCIO
CREATE OR REPLACE TRIGGER TR_TIPO_INSPECCIO_KEY BEFORE INSERT ON TIPO_INSPECCIO
FOR EACH ROW
BEGIN
  SELECT SEQ_TIPO_INSPECCIO.NEXTVAL INTO :NEW.idTInspccio FROM DUAL;
END;
/
--  TIPO_LECTURA
CREATE OR REPLACE TRIGGER TR_TIPO_LECTURA_KEY BEFORE INSERT ON TIPO_LECTURA
FOR EACH ROW
BEGIN
  SELECT SEQ_TIPO_LECTURA.NEXTVAL INTO :NEW.idTipoLectura FROM DUAL;
END;
/
--  UBICACIO
CREATE OR REPLACE TRIGGER TR_UBICACIO_KEY BEFORE INSERT ON UBICACIO
FOR EACH ROW
BEGIN
  SELECT SEQ_UBICACIO.NEXTVAL INTO :NEW.idUbica FROM DUAL;
END;
/
--  LINEA CONECTAR COMPTADORS AMB CENTRALS
CREATE OR REPLACE TRIGGER TR_LINEA_CONECTAR BEFORE INSERT ON LINEA_CONECTAR_COMPTADOR
FOR EACH ROW
BEGIN
  SELECT SEQ_LINEA_CONECTAR.NEXTVAL INTO :NEW.idLineaConecta FROM DUAL;
END;
/
--  LINEA TIPUS FUNCIONS
CREATE OR REPLACE TRIGGER TR_TIPUS_FUNCIONS BEFORE INSERT ON TIPUS_FUNCIONS
FOR EACH ROW
BEGIN
  SELECT SEQ_TIPUS_FUNCIONS.NEXTVAL INTO :NEW.IdFuncio FROM DUAL;
END;
/
--  LINEA CONECTAR CENTRALS
CREATE OR REPLACE TRIGGER TR_SEQ_LINEA_CONECTA_CENTRAL BEFORE INSERT ON LINEA_CONECTA_CENTRAL
FOR EACH ROW
BEGIN
  SELECT SEQ_LINEA_CONECTA_CENTRAL.NEXTVAL INTO :NEW.idConecta FROM DUAL;
END;
/*******************************************************************************
ESTADISTIQUES
*******************************************************************************/
--  E_1
CREATE OR REPLACE TRIGGER TR_E_1_KEY BEFORE INSERT ON E_1
FOR EACH ROW
BEGIN
  SELECT SEQ_E_1.NEXTVAL INTO :NEW.idE_1 FROM DUAL;
END;
/
--  E_2
CREATE OR REPLACE TRIGGER TR_E_2_KEY BEFORE INSERT ON E_2
FOR EACH ROW
BEGIN
  SELECT SEQ_E_2.NEXTVAL INTO :NEW.idE_2 FROM DUAL;
END;
/
--  E_3
CREATE OR REPLACE TRIGGER TR_E_3_KEY BEFORE INSERT ON E_3
FOR EACH ROW
BEGIN
  SELECT SEQ_E_3.NEXTVAL INTO :NEW.id_E3  FROM DUAL;
END;
/
--  E_4
CREATE OR REPLACE TRIGGER TR_E_4_KEY BEFORE INSERT ON E_4
FOR EACH ROW
BEGIN
  SELECT SEQ_E_4.NEXTVAL INTO :NEW.idE_4 FROM DUAL;
END;
/
--  E_5
CREATE OR REPLACE TRIGGER TR_E_5_KEY BEFORE INSERT ON E_5
FOR EACH ROW
BEGIN
  SELECT SEQ_E_5.NEXTVAL INTO :NEW.idE_5 FROM DUAL;
END;
/
--  E_6
CREATE OR REPLACE TRIGGER TR_E_6_KEY BEFORE INSERT ON E_6
FOR EACH ROW
BEGIN
  SELECT SEQ_E_6.NEXTVAL INTO :NEW.idE_6 FROM DUAL;
END;
/
--  E_7
CREATE OR REPLACE TRIGGER TR_E_7_KEY BEFORE INSERT ON E_7
FOR EACH ROW
BEGIN
  SELECT SEQ_E_7.NEXTVAL INTO :NEW.idE_7 FROM DUAL;
END;
/
/************** FI DEL PROCES *****************************************/