CREATE OR REPLACE
PACKAGE          "GESTION_CONTRACTE" AS
PROCEDURE PRC_ALTA_CONTRACTE(	    	
 	p_dniClientContracte IN CONTRACTE.DNICLIENTECONTRACTE%TYPE,   	 
 	p_idComptadorContracte IN CONTRACTE.IDCONTADORCONTRACTE%TYPE,	 
	p_dataAltaContracte IN CONTRACTE.DATAALTACONTRACTE%TYPE,	 	
	p_potenciaContracte IN CONTRACTE.POTENCIACONTRACTE%TYPE,  	 
 	p_observacioContracte IN CONTRACTE.OBSERVACIOCONTRACTE%TYPE,	
	s_rsp out NOCOPY VARCHAR);

PROCEDURE PRC_MODIFICAR_CONTRACTE(
	p_idContracte IN CONTRACTE.IDCONTRACTE%TYPE,      
	p_idComptadorContracte	IN CONTRACTE.IDCONTADORCONTRACTE%TYPE, 
	p_dataModificacioContracte IN CONTRACTE.DATAMODIFICACIOCONTRACTE%TYPE,   
	p_potenciaContracte  IN CONTRACTE.POTENCIACONTRACTE%TYPE,  	 
	p_observacioContracte 	IN CONTRACTE.OBSERVACIOCONTRACTE%TYPE,
        s_rsp out NOCOPY VARCHAR);

PROCEDURE PRC_CANVIAR_ALTA_CONTRACTE(
	p_idContracte IN CONTRACTE.IDCONTRACTE%TYPE,
	p_dataModificacioContracte IN CONTRACTE.DATAMODIFICACIOCONTRACTE%TYPE,    
	s_rsp out NOCOPY VARCHAR);
	 
PROCEDURE PRC_CANVIAR_BAIXA_CONTRACTE(	
	p_idContracte IN CONTRACTE.IDCONTRACTE%TYPE,
	p_dataModificacioContracte IN CONTRACTE.DATAMODIFICACIOCONTRACTE%TYPE,   
	s_rsp out NOCOPY VARCHAR);

PROCEDURE PRC_CONSULTA_CONTRACTE(
	s_rsp out NOCOPY VARCHAR);

PROCEDURE PRC_CONSULTA_CONTRA_DNI(
	p_dniClientContracte IN CONTRACTE.DNICLIENTECONTRACTE%TYPE, 
	s_rsp out NOCOPY VARCHAR);

END "GESTION_CONTRACTE";  	 	 
