CREATE OR REPLACE
PACKAGE          "GESTION_CENTRAL" AS
PROCEDURE PRC_ALTA_CENTRAL_PRODUCCIO(
          p_dataAltaCentral in CENTRAL.DATAALTACENTRAL%Type,
          p_idTipoCentral in CENTRAL.IDTIPOCENTRAL%Type,
          p_dataUltmimaInspeccioCentral in CENTRAL.DATAULTIMAINSPECCIOCENTRAL%TYPE,
          p_idInspeccioCentral in CENTRAL.IDINSPECCIOCENTRAL%Type,
          p_energiaMax in CENTRAL.ENERGIAMAXIMA%Type,
          p_energiaMin in CENTRAL.ENERGIAMINIMA%Type,
          p_idUbicaCentral in CENTRAL.IDUBICACENTRAL%Type,
          p_observacionsCentral in CENTRAL.OBSERVACIONSCENTRAL%Type,
          s_rsp out NOCOPY VARCHAR2);	
   
    
PROCEDURE PRC_ALTA_CENTRAL_DISTRIBUCIO(
         p_dataAltaCentral in CENTRAL.DATAALTACENTRAL%Type,
          p_dataUltmimaInspeccioCentral in CENTRAL.DATAULTIMAINSPECCIOCENTRAL%TYPE,
          p_idInspeccioCentral in CENTRAL.IDINSPECCIOCENTRAL%Type,
          p_energiaMax in CENTRAL.ENERGIAMAXIMA%Type,
          p_energiaMin in CENTRAL.ENERGIAMINIMA%Type,
          p_idUbicaCentral in CENTRAL.IDUBICACENTRAL%Type,
          p_observacionsCentral in CENTRAL.observacionsCentral%Type,
          s_rsp out NOCOPY VARCHAR2);	
          
PROCEDURE PRC_ALTA_CENTRAL(
          p_idCentral in CENTRAL.idCentral%TYPE,
          p_estatCentral in CENTRAL.ESTATCENTRAL%Type,	
          p_dataModificacioCentral in CENTRAL.DATAMODIFICACENTRAL%Type,
          s_rsp out NOCOPY VARCHAR2);
    
PROCEDURE PRC_BAIXA_CENTRAL(
          p_idCentral in CENTRAL.idCentral%TYPE,
          p_estatCentral in CENTRAL.estatCentral%Type,	
          p_dataModificacioCentral in CENTRAL.DATAMODIFICACENTRAL%Type,
          s_rsp out NOCOPY VARCHAR2);

PROCEDURE PRC_MODIFICAR_CENTRAL_PRODUC(
          p_idCentral in CENTRAL.IDCENTRAL%TYPE,
          p_estatCentral in CENTRAL.ESTATCENTRAL%Type,
          p_dataModificacioCentral in CENTRAL.DATAMODIFICACENTRAL%Type,
          p_idClasseCentral in CENTRAL.IDCLASSECENTRAL%Type,
          p_idTipoCentral in CENTRAL.IDTIPOCENTRAL%Type,
          p_dataUltmimaInspeccioCentral in CENTRAL.DATAULTIMAINSPECCIOCENTRAL%TYPE,
          p_idInspeccioCentral in CENTRAL.IDINSPECCIOCENTRAL%Type,
          p_energiaMax in CENTRAL.ENERGIAMAXIMA%Type,
          p_energiaMin in CENTRAL.ENERGIAMINIMA%Type,
          p_idUbicaCentral in CENTRAL.IDUBICACENTRAL%Type,
          p_observacionsCentral in CENTRAL.OBSERVACIONSCENTRAL%Type,
          s_rsp out NOCOPY VARCHAR2); 
          
PROCEDURE PRC_MODIFICAR_CENTRAL_DISTRIB(
          p_idCentral in CENTRAL.IDCENTRAL%TYPE,
          p_estatCentral in CENTRAL.estatCentral%Type,
          p_dataModificacioCentral in CENTRAL.DATAMODIFICACENTRAL%Type,
          p_idClasseCentral in CENTRAL.IDCLASSECENTRAL%Type,
          p_idTipoCentral in CENTRAL.idTipoCentral%Type,
          p_idInspeccioCentral in CENTRAL.IDINSPECCIOCENTRAL%Type,
           p_dataUltmimaInspeccioCentral in CENTRAL.DATAULTIMAINSPECCIOCENTRAL%TYPE,
          p_energiaMax in CENTRAL.ENERGIAMAXIMA%Type,
          p_energiaMin in CENTRAL.ENERGIAMINIMA%Type,
          p_idUbicaCentral in CENTRAL.idUbicaCentral%Type,
          p_observacionsCentral in CENTRAL.observacionsCentral%Type,
          s_rsp out NOCOPY VARCHAR2); 
          
PROCEDURE PRC_CONSULTAR_CENTRAL_PRODU(
          s_rsp out NOCOPY VARCHAR2);
          
PROCEDURE PRC_CONSULTAR_CENTRAL_DISTRIB(
          s_rsp out NOCOPY VARCHAR2);
        
END "GESTION_CENTRAL";
