CREATE OR REPLACE
PACKAGE          "GESTION_COMPTADOR" AS
procedure PRC_ALTA_COMPTADOR(
   p_idModelComptador in COMPTADOR.IDMODELOCOMPTADOR%TYPE,
   p_idUbicacioComptador in COMPTADOR.IDUBICACOMPTADOR%TYPE,
   p_dataAltaComptador in COMPTADOR.DATAALTACOMPTADOR%TYPE,
   --p_estatComptador in COMPTADOR.IDESTADOCOMPATOR%TYPE,
   p_numeroSerieComptador in COMPTADOR.NUMSERIECOMPTADOR%TYPE,
   p_observacionsComptador in COMPTADOR.OBSERVACIONSCOMPTADOR%TYPE,
   s_rsp out NOCOPY VARCHAR2);
procedure PRC_PASSAR_COMPTADOR_ALTA( 
   p_idComptador in COMPTADOR.IDCOMPTADOR%TYPE,
   p_dataModificacioComptador in COMPTADOR.DATAMODIFICACIOCOMPATOR%TYPE,
   p_estatComptador in COMPTADOR.IDESTADOCOMPATOR%TYPE,
    s_rsp out NOCOPY VARCHAR2);

procedure PRC_PASSAR_COMPTADOR_BAIXA( 
   p_idComptador in COMPTADOR.IDCOMPTADOR%TYPE,
   p_dataModificacioComptador in COMPTADOR.DATAMODIFICACIOCOMPATOR%TYPE,
   p_estatComptador in COMPTADOR.IDESTADOCOMPATOR%TYPE,
   s_rsp out NOCOPY VARCHAR2);

procedure PRC_MODIFICA_COMPTADOR(
   p_idComptador in COMPTADOR.IDCOMPTADOR%TYPE,
   p_idModelComptador in COMPTADOR.IDMODELOCOMPTADOR%TYPE,
   p_idUbicacioComptador in COMPTADOR.IDUBICACOMPTADOR%TYPE,
   p_dataModificacioComptador in COMPTADOR.DATAMODIFICACIOCOMPATOR%TYPE,
   p_estatComptador in COMPTADOR.IDESTADOCOMPATOR%TYPE,
   p_numeroSerieComptador in COMPTADOR.NUMSERIECOMPTADOR%TYPE,
   p_observacionsComptador in COMPTADOR.OBSERVACIONSCOMPTADOR%TYPE,
   s_rsp out NOCOPY VARCHAR2);
   
procedure PRC_CONSULTAR_COMPTADOR(
   s_rsp out NOCOPY VARCHAR2);
END "GESTION_COMPTADOR";