create or replace PACKAGE          "GESTION_LINEA_TIPUS" AS
--- ALTA LINEA TIPUS
PROCEDURE PRC_ALTA_LINEA_TIPUS(
     p_dataEstatTipoLinea in LINEA_TIPUS.DATAESTATTLINEA%Type,
    p_consumMaximTipoLinea in LINEA_TIPUS.CONSUMMAXIMTLINEA%Type,
    p_observacionTipoLinea in LINEA_TIPUS.OBSERVACIOTLINEA%Type,
    s_rsp out NOCOPY VARCHAR);
--- MODIFICAR ESTAT O DADES DE LA LINEA TIPUS    

PROCEDURE PRC_MODIFICAR_LINEA_TIPUS(
    p_idTipoLinea in LINEA_TIPUS.IDTLINEA%Type,
    p_estatTipoLinea in LINEA_TIPUS.IDESTATTLINEA%Type,
    p_dataEstatTipoLinea in LINEA_TIPUS.DATAESTATTLINEA%Type,
    p_consumMaximTipoLinea in LINEA_TIPUS.CONSUMMAXIMTLINEA%Type,
    p_observacionTipoLinea in LINEA_TIPUS.OBSERVACIOTLINEA%Type,
    s_rsp out NOCOPY VARCHAR2);
    
-- CONSULTA LINEA_TIPUS ESTAT ACTIVA
PROCEDURE PRC_CONSULTAR_LINEA_ACTIVA(
  s_rsp out NOCOPY VARCHAR2);
-- CONSULTA LINEA TIPUS ESTAT LINEA NO ACTIVA  
PROCEDURE PRC_CONSULTAR_LINEA_NO_ACTIVA(
   s_rsp out NOCOPY VARCHAR2);
END "GESTION_LINEA_TIPUS";
