CREATE OR REPLACE
PACKAGE          "GESTION_CLIENT" AS
PROCEDURE PRC_ALTA_CLIENT(
    p_dniClient in CLIENT.dniClient%Type,
    p_dataAltaCLient in CLIENT.dataAltaCLient%Type,
    p_estatClient in CLIENT.estatClient%Type,
    p_nomClient in CLIENT.nomClient%Type,
    p_cognom1Client in CLIENT.cognom1Client%Type,
    p_cognom2Client in CLIENT.cognom2Client%Type,
    p_idUbicaClient in CLIENT.idUbicaClient%Type,
    p_idTipoClient in CLIENT.idTipoClient%Type,
    p_observacioClient in CLIENT.observacioClient%Type,
    s_rsp out NOCOPY VARCHAR2);	

PROCEDURE PRC_MODIFICAR_CLIENT(
    p_idTipoClient in CLIENT.idTipoClient%Type,
    p_dniClient in CLIENT.dniClient%Type,	
    p_nomClient in CLIENT.nomClient%Type,
    p_cognom1Client in CLIENT.cognom1Client%Type,
    p_cognom2Client in CLIENT.cognom2Client%Type,
    p_estatClient in CLIENT.estatClient%Type,
    p_idUbicaClient in CLIENT.idUbicaClient%Type,
    p_dataAltaCLient in CLIENT.dataAltaCLient%Type,
    p_dataModificacioClient in CLIENT.dataModificacioCLient%Type,
    p_observacioClient in CLIENT.observacioClient%Type,
    s_rsp out NOCOPY VARCHAR2);    
PROCEDURE PRC_BAIXA_CLIENT(
           p_idClient in CLIENT.idClient%TYPE,
           p_estatClient in CLIENT.estatClient%Type,	
           p_dataModificacioClient in CLIENT.dataModificacioCLient%Type,
           p_dniClient in CLIENT.dniClient%Type,
           s_rsp out NOCOPY VARCHAR2);
PROCEDURE PRC_CONSULTAR_DNI_CLIENT(
  p_dniClient in CLIENT.dniClient%Type,
  s_rsp out NOCOPY VARCHAR2);
PROCEDURE PRC_CONSULTAR_CLIENT(
  s_rsp out NOCOPY VARCHAR2);
END GESTION_CLIENT;
