CREATE OR REPLACE
PACKAGE          "GESTION_FABRICANT" AS
PROCEDURE PRC_ALTA_FABRICANT(
    p_NIFFabricant in FABRICANT.NIFFABRICANT%Type,
    p_dataAltaFabricant in FABRICANT.DATAALTAFABRICANT%Type,
    p_estatFabricant in FABRICANT.ESTATFABRICANT%Type,
    p_nomComercialFabricant in FABRICANT.NOMCOMERCIALFABRICANT%Type,
    p_idUbicaFabricant in FABRICANT.IDUBICAFABRICANT%Type,
    s_rsp out NOCOPY VARCHAR2);
PROCEDURE PRC_MODIFICAR_FABRICANT(
    p_idFabricant in FABRICANT.IDFABRICANT%Type,
    p_NIFFabricant in FABRICANT.NIFFABRICANT%Type,
    p_dataModificaFabricant in FABRICANT.DATAMODIFCAFABRICANT%Type,
    p_estatFabricant in FABRICANT.ESTATFABRICANT%Type,
    p_nomComercialFabricant in FABRICANT.NOMCOMERCIALFABRICANT%Type,
    p_idUbicaFabricant in FABRICANT.IDUBICAFABRICANT%Type,
    s_rsp out NOCOPY VARCHAR2); 
PROCEDURE PRC_BAIXA_FABRICANT(
    p_idFabricant in FABRICANT.IDFABRICANT%Type,
    p_NIFFabricant in FABRICANT.NIFFABRICANT%Type,
    p_estatFabricant in FABRICANT.ESTATFABRICANT%Type,	
    p_dataModificaFabricant in FABRICANT.DATAMODIFCAFABRICANT%Type,
    p_nomComercialFabricant in FABRICANT.NOMCOMERCIALFABRICANT%Type,
    s_rsp out NOCOPY VARCHAR2);
PROCEDURE PRC_CONSULTAR_UN_FABRICANT(
  p_NIFFabricant in FABRICANT.NIFFABRICANT%Type,
  s_rsp out NOCOPY VARCHAR2);
PROCEDURE PRC_CONSULTAR_FABRICANTS(
   s_rsp out NOCOPY VARCHAR2);  
END "GESTION_FABRICANT";