CREATE OR REPLACE
PACKAGE BODY          "CONSULTAS" AS
n_registres      NUMBER;
  s_sql           VARCHAR2 (2000);
  n_NUM_ERR 	  NUMBER(10);
  n_any  VARCHAR2(4);
  valor number;
  n_comptador number;
  n_contador number;
  p_dniClient C4.IDC4%TYPE;
  c_procesLog	  LOG_TFC.procesLog%TYPE;	
  c_dataHoraLog    LOG_TFC.dataHoraLog%TYPE;
  c_entradaLog     LOG_TFC.entradaLog%TYPE;	
  c_sortidaLog     LOG_TFC.sortidaLog%TYPE;
  n_idComptador COMPTADOR.IDCOMPTADOR%TYPE;
  n_anyModel MODELO.ANYOFABRICAMODELO%TYPE;
  n_descModel MODELO.DESCRIPCIOMODELO%TYPE;
  s_rsp	 LOG_TFC.RSPLOG%TYPE; 
   
  sortida VARCHAR2(1000):='';
   e_c7   EXCEPTION;
   e_c4   EXCEPTION;
PROCEDURE PRC_CONSULTA_C7(
p_any in MODELO.ANYOFABRICAMODELO%TYPE,
s_rsp out NOCOPY VARCHAR)

 AS
CURSOR C_C7 IS
SELECT COMPTADOR.IDCOMPTADOR,MODELO.ANYOFABRICAMODELO,
MODELO.DESCRIPCIOMODELO
from COMPTADOR, MODELO
where COMPTADOR.IDMODELOCOMPTADOR=
MODELO.IDMODELO
and   MODELO.ANYOFABRICAMODELO<p_any;
BEGIN
    c_procesLog := 'PRC_CONSULTA_C7';
    c_dataHoraLog := SYSDATE;
    c_entradaLog :='Any: ' ||p_any;
          DBMS_OUTPUT.ENABLE;
          DBMS_OUTPUT.PUT_LINE('CONSULTA_C7: Any de Fabricacio: ' ||p_any);
          DBMS_OUTPUT.PUT_LINE('__________________________');
    c_sortidalog := 's_rsp';
    
    IF p_any IS NULL  THEN
     DBMS_OUTPUT.ENABLE;
     DBMS_OUTPUT.PUT_LINE('CONSULTA_C7: any no correcta : '||p_any);
     DBMS_OUTPUT.PUT_LINE('Comptador any no correcta '||p_any);      
          RAISE e_c7 ;   
    END IF; 
    -- MIRO SI HAN COMPTADORS SINO N'HI HN EMET EXCEPCIO  
        SELECT COUNT(*) INTO valor
        FROM COMPTADOR,MODELO
        WHERE COMPTADOR.IDMODELOCOMPTADOR=modelo.IDMODELO
        AND MODELO.ANYOFABRICAMODELO<p_any;
 
 IF valor>0 THEN
    

 DBMS_OUTPUT.ENABLE;
 DBMS_OUTPUT.PUT_LINE(' ');
 DBMS_OUTPUT.PUT_LINE('   CONSULTA C7   ');
 DBMS_OUTPUT.PUT_LINE('---------------- ');
OPEN  C_C7;
FETCH C_C7 INTO
n_idComptador,
n_anyModel,
n_descModel;
WHILE C_C7%FOUND  LOOP
      DBMS_OUTPUT.ENABLE;
      DBMS_OUTPUT.PUT_LINE(' ');
      DBMS_OUTPUT.PUT_LINE(' Comptador: '||n_idComptador);
      DBMS_OUTPUT.PUT_LINE(' Model : '||n_descModel);
      DBMS_OUTPUT.PUT_LINE(' Any Fabricacio : '||n_anyModel);
      s_rsp :='Ok C7 comptador: '||n_idComptador||' Model : '||n_descModel||' Any Fabricacio  : '||n_anyModel;
FETCH C_C7 INTO
n_idComptador,
n_anyModel,
n_descModel;
      pkg_general.gravar_log_procedure(c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, s_rsp);
      DBMS_OUTPUT.PUT_LINE(s_rsp);
      
END LOOP;
     DBMS_OUTPUT.ENABLE;
    DBMS_OUTPUT.PUT_LINE('____________________________');
    DBMS_OUTPUT.PUT_LINE('TOTAL COMPTADORS:  '||valor);
    DBMS_OUTPUT.PUT_LINE('******** FI DEL PROCES ********');
            DBMS_OUTPUT.PUT_LINE(' ');
CLOSE C_C7;
ELSE
DBMS_OUTPUT.ENABLE;
  DBMS_OUTPUT.PUT_LINE('  CONSULTA C7   ');
  DBMS_OUTPUT.PUT_LINE('no hi han comptadors. ');      
  RAISE e_c7 ; 
END IF;
COMMIT;
  EXCEPTION
    WHEN OTHERS THEN
      IF s_rsp IS NULL THEN
  -- L'error no ha estat controlat per codi-----------------------------------------
        s_rsp := 'Error: ' || SQLCODE || SUBSTR(SQLERRM, 1, 100);
      ELSE
   -- L'error si ha estat controlat per codi-----------------------------------------
         s_rsp := 'Error: ' || s_rsp;
      END IF;
         DBMS_OUTPUT.ENABLE;
         DBMS_OUTPUT.PUT_LINE('   ');        
         DBMS_OUTPUT.put_line (s_rsp);
         pkg_general.gravar_log_procedure (c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, s_rsp);
ROLLBACK;   
        
  END PRC_CONSULTA_C7; 
  
PROCEDURE PRC_CONSULTA_C4(
    p_dniClient in C4.DNICLIENT%TYPE,
    p_idContracte in CONTRACTE.IDCONTRACTE%TYPE,
    p_idModel in MODELO.IDMODELO%TYPE,
    s_rsp out NOCOPY VARCHAR)
 AS
 contadorContractes number;
 contadorDniClient number;
 contadorC4 number;
 n_ndiClient varchar2(10);
 n_idModel number;
 n_idContracte number;
 n_descripcio varchar2(30);
 s_dniclient varchar2(10);
 s_idcontracte number; 
 s_idModel number;
  e_C4    EXCEPTION;
  BEGIN
  c_procesLog := 'PRC_CONSULTA_C4';
    c_dataHoraLog := SYSDATE;
    c_entradaLog :='CONSULTA CLIENTS amb contracte i model de
    comptador: introdueix DNI '||p_dniClient;
   
          DBMS_OUTPUT.ENABLE;
          DBMS_OUTPUT.PUT_LINE(' CONSULTA CLIENTS amb  DNI 
          Client amb contracte i model de
          comptador '||p_dniClient);
          DBMS_OUTPUT.PUT_LINE('__________________________');
    c_sortidalog := 's_rsp';
/*******************************************************    
    SELECT CONTRACTE.DNICLIENTECONTRACTE,
    CONTRACTE.IDCONTRACTE,
    MODELO.IDMODELO,
    MODELO.DESCRIPCIOMODELO
    FROM CONTRACTE,CLIENT,COMPTADOR,MODELO
    WHERE CONTRACTE.DNICLIENTECONTRACTE=CLIENT.DNICLIENT
    AND MODELO.IDMODELO=COMPTADOR.IDMODELOCOMPTADOR
    AND CONTRACTE.IDCONTADORCONTRACTE=COMPTADOR.IDCOMPTADOR;
  
    SELECT COUNT(DISTINCT CONTRACTE.DNICLIENTECONTRACTE)
     FROM CONTRACTE,CLIENT,COMPTADOR,MODELO
    WHERE CONTRACTE.DNICLIENTECONTRACTE=CLIENT.DNICLIENT
    AND MODELO.IDMODELO=COMPTADOR.IDMODELOCOMPTADOR;
 ************************************************************/   
IF p_dniClient IS NULL THEN
    DBMS_OUTPUT.ENABLE;
     DBMS_OUTPUT.PUT_LINE('CONSULTA_C7: falta el dni : '||p_dniClient);
     DBMS_OUTPUT.PUT_LINE('CONSULTA_C7: falta el dni : '||p_dniClient);      
          RAISE e_c7 ;   
END IF; 

-- SI TE CONTRACTE
SELECT COUNT(*) INTO n_registres
FROM CONTRACTE
WHERE CONTRACTE.DNICLIENTECONTRACTE=p_dniClient;

IF n_registres=0 THEN
 DBMS_OUTPUT.ENABLE;
     DBMS_OUTPUT.PUT_LINE('CONSULTA_C7: ciient sense contracte : '||p_dniClient);
     DBMS_OUTPUT.PUT_LINE('CONSULTA_C7: ciient sense contracte : '||p_dniClient);      
          RAISE e_C4   ; 
END IF;
 --OBTENIR ID CONTRACTE   n_idContracte
    SELECT CONTRACTE.IDCONTRACTE INTO n_idContracte
    FROM CONTRACTE
    where CONTRACTE.DNICLIENTECONTRACTE=p_dniClient;
  
-- COMPTADOR AMB CONTRACTE comptador Contracte
    SELECT CONTRACTE.IDCONTADORCONTRACTE INTO contadorContractes
    FROM COMPTADOR,CONTRACTE
    WHERE COMPTADOR.IDCOMPTADOR=CONTRACTE.IDCONTADORCONTRACTE
   AND CONTRACTE.DNICLIENTECONTRACTE=p_dniClient;

-- MODEL DEL COMPTADOR EN CONTRACTE id model  
   SELECT COMPTADOR.IDMODELOCOMPTADOR INTO   n_idModel
   FROM COMPTADOR,MODELO
   WHERE MODELO.IDMODELO=COMPTADOR.IDCOMPTADOR
   AND COMPTADOR.IDCOMPTADOR=contadorContractes;
-- OBTENIM dni del contracte 
SELECT DISTINCT CONTRACTE.DNICLIENTECONTRACTE,
    CONTRACTE.IDCONTRACTE,
    MODELO.IDMODELO             INTO s_dniClient,s_idContracte,s_idModel
     FROM CONTRACTE,CLIENT,COMPTADOR,MODELO 
    WHERE CONTRACTE.DNICLIENTECONTRACTE=p_dniClient
    AND MODELO.IDMODELO= n_idModel
    AND CONTRACTE.IDCONTADORCONTRACTE=contadorContractes
    AND CONTRACTE.IDCONTRACTE=n_idContracte;
 
 
    IF n_registres>0 THEN 
    contadorC4:=1;
    WHILE contadorC4<=contadorDniClient LOOP
    SELECT CONTRACTE.DNICLIENTECONTRACTE,
    CONTRACTE.IDCONTRACTE,
    MODELO.IDMODELO,
    MODELO.DESCRIPCIOMODELO INTO n_ndiClient,n_idContracte,n_idModel,n_descripcio
    FROM CONTRACTE,CLIENT,COMPTADOR,MODELO
    WHERE CONTRACTE.DNICLIENTECONTRACTE=p_dniClient
    AND MODELO.IDMODELO= n_idModel
    AND CONTRACTE.IDCONTADORCONTRACTE=COMPTADOR.IDCOMPTADOR
    AND CONTRACTE.IDCONTRACTE=contadorC4;
    contadorC4:=contadorC4+1;
    DBMS_OUTPUT.ENABLE;
    DBMS_OUTPUT.PUT_LINE(' ');
    DBMS_OUTPUT.PUT_LINE('DNI CLIENT:     '||n_ndiClient||
                        ' CODI CONTRACTE: '||n_idContracte||
                        ' CODI MODEL:     ' ||n_idModel||
                        ' DESCRIPCIO:     '||n_descripcio);
    
     c_sortidalog := 's_rsp';
     s_rsp :='Ok C4 DNI CLIENT:     '||s_dniClient||
                        ' CODI CONTRACTE: '||s_idContracte||
                        ' CODI MODEL:     ' ||n_idModel;
      pkg_general.gravar_log_procedure(c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, s_rsp);
      
       RAISE e_C4   ; 
    END LOOP;
    DBMS_OUTPUT.ENABLE;
    DBMS_OUTPUT.PUT_LINE(' ');
    DBMS_OUTPUT.PUT_LINE('Total : '||n_registres);
     DBMS_OUTPUT.PUT_LINE('******** FIN DE LES OPERACIONS ********');
  END IF;
  
    DBMS_OUTPUT.ENABLE;
    DBMS_OUTPUT.ENABLE;
    DBMS_OUTPUT.PUT_LINE('     CONSULTA CLIENTS C4   ');
    DBMS_OUTPUT.PUT_LINE('-------------------------- ');
    DBMS_OUTPUT.PUT_LINE('DNI CLIENT:  '||s_dniClient||
                        ' CODI CONTRACTE: '||s_idContracte||
                        ' CODI MODEL: '||n_idModel);
                        DBMS_OUTPUT.PUT_LINE(' Total : '||n_registres);
     s_rsp :='Ok C4 DNI CLIENT:     '||s_dniClient||
                        ' CODI CONTRACTE: '||s_idContracte||
                        ' CODI MODEL:     ' ||n_idModel;
      pkg_general.gravar_log_procedure(c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, s_rsp);
     DBMS_OUTPUT.ENABLE;
    DBMS_OUTPUT.PUT_LINE(' _______________________________________');
    DBMS_OUTPUT.PUT_LINE('Total : '||n_registres);
     DBMS_OUTPUT.PUT_LINE('******** FIN DE LES OPERACIONS ********');
     DBMS_OUTPUT.PUT_LINE(' ');
  COMMIT;
EXCEPTION
   WHEN OTHERS THEN
      IF s_rsp IS NULL THEN
         -- L'error no ha estat controlat per codi
         s_rsp := 'Error: ' || SQLCODE || SUBSTR (SQLERRM, 1, 100);
      ELSE
         -- L'error si ha estat controlat per codi
         s_rsp := 'Error: ' || s_rsp;
      END IF;
      DBMS_OUTPUT.ENABLE;
      DBMS_OUTPUT.PUT_LINE(' ');
      DBMS_OUTPUT.put_line(s_rsp);
      pkg_general.gravar_log_procedure (c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, s_rsp);
      ROLLBACK; 

  END PRC_CONSULTA_C4;
END "CONSULTAS";