CREATE OR REPLACE PACKAGE BODY "GESTION_E_2" AS
c_procesLog	   LOG_TFC.procesLog%TYPE;	
  c_dataHoraLog    LOG_TFC.dataHoraLog%TYPE;
  c_entradaLog     LOG_TFC.entradaLog%TYPE;	
  c_sortidaLog     LOG_TFC.sortidaLog%TYPE;
  s_rsp	           LOG_TFC.rspLog%TYPE; 
 
  n_lineaActiva NUMBER;
  --n_mes NUMBER;
  n_any NUMBER;
  n_promitg NUMBER;
  n_linea number;
  --n_registres  NUMBER;
  n_dimensio number;
  
  s_sql VARCHAR2 (2000);
   n_NUM_ERR NUMBER(10);
  sortida varchar2(500):=''; 
  e_e_2     EXCEPTION;

PROCEDURE PRC_ALTA_E_2(
p_linea in LINEA_CONECTAR_COMPTADOR.IDLINEACONECTA%TYPE,
p_any in HIST_LECTURA.ANYOHISTLECTURA%TYPE,
s_rsp out NOCOPY VARCHAR)
AS

CURSOR C_E_2 IS
SELECT DISTINCT LINEA_CONECTAR_COMPTADOR.IDLINEACONECTA,
 HIST_LECTURA.ANYOHISTLECTURA, AVG(HIST_LECTURA.TOTALCONSUMOHISTLECTURA)
 FROM LINEA_CONECTAR_COMPTADOR,LINEA_TIPUS,HIST_LECTURA
 WHERE LINEA_TIPUS.IDTLINEA=LINEA_CONECTAR_COMPTADOR.IDLINEATIPOLINEACONECTA
 AND LINEA_CONECTAR_COMPTADOR.CONNECTA2_COMPTADORCONECTA= HIST_LECTURA.IDCOMPTADORHISTLECTURA
 AND HIST_LECTURA.ANYOHISTLECTURA=p_any
  AND LINEA_CONECTAR_COMPTADOR.IDLINEACONECTA=p_linea
 GROUP BY LINEA_CONECTAR_COMPTADOR.IDLINEACONECTA,HIST_LECTURA.ANYOHISTLECTURA
 ORDER BY LINEA_CONECTAR_COMPTADOR.IDLINEACONECTA ASC;
  
BEGIN
 c_procesLog := 'PRC_ALTA_E2';
    c_dataHoraLog := SYSDATE;
    c_entradaLog :=' Codi linea: ' ||p_linea||' any a consultar: '||p_any;
          DBMS_OUTPUT.ENABLE;
          DBMS_OUTPUT.PUT_LINE(' ');
          DBMS_OUTPUT.PUT_LINE('ESTADISTIQUES E_2');
          DBMS_OUTPUT.PUT_LINE(' Consulta la linea Codi:'||p_linea||
          ' any 20'||p_any);
    c_sortidalog := 's_rsp';
    
  -- COMPROVACIO DE LA LINEA ESTIGUI ACTIVA
 SELECT DISTINCT COUNT(LINEA_CONECTAR_COMPTADOR.IDLINEACONECTA) INTO n_lineaActiva
 FROM LINEA_CONECTAR_COMPTADOR
 WHERE LINEA_CONECTAR_COMPTADOR.IDLINEACONECTA=p_linea;
 
 IF n_lineaActiva=0 THEN
   DBMS_OUTPUT.PUT_LINE(' ');
   DBMS_OUTPUT.PUT_LINE('     ESTADISTIQUES E_2     ');
   DBMS_OUTPUT.PUT_LINE(' La Linea:  '||p_linea||' no esta en funcionament
   o no esta activada');
     DBMS_OUTPUT.PUT_LINE('****** FI DE LES OPERACIONS *******');
 s_rsp := ' La Linea:  '||p_linea||' no esta en funcionament
   o no esta activada';
  RAISE  e_e_2;
END IF;

-- COMPROVO L'ANY
 SELECT DISTINCT COUNT(HIST_LECTURA.ANYOHISTLECTURA)INTO n_any
 FROM HIST_LECTURA
 WHERE HIST_LECTURA.ANYOHISTLECTURA= p_any;
 
-- MIREM LA DIMESSIO
 SELECT DISTINCT LINEA_TIPUS.CONSUMMAXIMTLINEA INTO n_dimensio
 FROM LINEA_TIPUS,LINEA_CONECTAR_COMPTADOR
 WHERE LINEA_CONECTAR_COMPTADOR.IDLINEACONECTA=3
 AND LINEA_CONECTAR_COMPTADOR.IDLINEACONECTA=LINEA_TIPUS.IDTLINEA;
 
 IF n_any=0 THEN
 DBMS_OUTPUT.PUT_LINE(' ');
   DBMS_OUTPUT.PUT_LINE('       ESTADISTIQUES E_2              ');
   DBMS_OUTPUT.PUT_LINE(' La Linea:  '||p_linea||' no t lectures
   en aquest any: 20'||p_any);
     DBMS_OUTPUT.PUT_LINE('****** FI DE LES OPERACIONS *******');
    s_rsp := ' La Linea:  '||p_linea||' no t lectures
   en aquest any: 20'||p_any;
  RAISE  e_e_2;
END IF;
  IF n_dimensio=0 THEN
 DBMS_OUTPUT.PUT_LINE(' ');
   DBMS_OUTPUT.PUT_LINE('       ESTADISTIQUES E_2              ');
   DBMS_OUTPUT.PUT_LINE(' La Linea:  '||p_linea||' no esta dimensionada per
   no tenir assignat un tipus de linea. ');
     DBMS_OUTPUT.PUT_LINE('****** FI DE LES OPERACIONS *******');
    s_rsp := ' La Linea:  '||p_linea||' no esta dimensionada per
   no tenir assignat un tipus de linea. ';
  RAISE  e_e_2;
END IF;

  DBMS_OUTPUT.ENABLE;
   DBMS_OUTPUT.PUT_LINE(' ');
   DBMS_OUTPUT.PUT_LINE('     ESTADISTIQUES E_2     ');
   DBMS_OUTPUT.PUT_LINE(' ---------------------------');
   
OPEN C_E_2;
FETCH C_E_2 INTO n_linea,n_any,n_promitg;
 
WHILE C_E_2%FOUND LOOP
IF n_promitg<n_dimensio THEN
  DBMS_OUTPUT.ENABLE;
   DBMS_OUTPUT.PUT_LINE(' ');
   DBMS_OUTPUT.PUT_LINE(' Linea: '
   ||n_linea||
   ' any: '||n_any||
   ' promitg de '||n_promitg||' Kw/h tolerable dins 
   dels maxims permes de '||n_dimensio||' Kw/h. en la linea. ');
   s_rsp := 'OK   ESTADISTIQUES E_2:
    Linea: '
   ||n_linea||
   ' any: '||n_any||
   ' promitg tolerable dins del maxims permes:
   ' ||n_promitg;   
  INSERT INTO  E_2 (idLineaConectaE_2,ANYOE_2,
  CONSUMOCONTADORESE_2,
  CONSUMOENERGIAMEDIOE_2)
  VALUES(n_linea,n_any,n_dimensio,n_promitg);
  
END IF;  
FETCH C_E_2 INTO
n_linea,
n_any,
n_promitg;  
pkg_general.gravar_log_procedure (c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, s_rsp);
END LOOP;
  DBMS_OUTPUT.ENABLE;
  DBMS_OUTPUT.PUT_LINE(' ');
  DBMS_OUTPUT.PUT_LINE('****** FI DE LES OPERACIONS *******');
   DBMS_OUTPUT.PUT_LINE(' '); 
CLOSE C_E_2;

COMMIT;
EXCEPTION
   WHEN OTHERS THEN
      IF s_rsp IS NULL THEN
         -- L'error no ha estat controlat per codi-----------------------------------------
         s_rsp := 'Error: ' || SQLCODE || SUBSTR(SQLERRM, 1, 100);
      ELSE
         -- L'error si ha estat controlat per codi-----------------------------------------
         s_rsp := 'Error: ' || s_rsp;
      END IF;
      DBMS_OUTPUT.ENABLE;
      DBMS_OUTPUT.PUT_LINE(' '); 
      DBMS_OUTPUT.put_line (s_rsp);
      pkg_general.gravar_log_procedure (c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, s_rsp);
      ROLLBACK;
END PRC_ALTA_E_2;  
END "GESTION_E_2";
