CREATE OR REPLACE
PACKAGE BODY "GESTION_E_3" AS
c_procesLog	   LOG_TFC.procesLog%TYPE;	
  c_dataHoraLog    LOG_TFC.dataHoraLog%TYPE;
  c_entradaLog     LOG_TFC.entradaLog%TYPE;	
  c_sortidaLog     LOG_TFC.sortidaLog%TYPE;
  s_rsp	           LOG_TFC.rspLog%TYPE; 
  n_registres NUMBER;
  n_lineaActiva NUMBER;
  n_central NUMBER;
  n_energiaTolerable NUMBER;
  n_comsumEnergia number;
  t_energiaTolerable number;

  s_sql VARCHAR2 (2000);
   n_NUM_ERR NUMBER(10);
  sortida varchar2(500):=''; 
  e_e_3     EXCEPTION;
  
PROCEDURE PRC_ALTA_E_3(
 p_any in HIST_LECTURA.ANYOHISTLECTURA%TYPE,
  s_rsp out NOCOPY VARCHAR)
 AS
 CURSOR C_CONSUMO_CENTRAL IS
 SELECT DISTINCT SUM(HIST_LECTURA.TOTALCONSUMOHISTLECTURA)
 FROM HIST_LECTURA, LINEA_CONECTAR_COMPTADOR,LINEA_CONECTA_CENTRAL,
 COMPTADOR,CENTRAL
 WHERE HIST_LECTURA.IDCOMPTADORHISTLECTURA=
 LINEA_CONECTAR_COMPTADOR.CONNECTA2_COMPTADORCONECTA
 AND LINEA_CONECTAR_COMPTADOR.IDESTATLINEACONECTA=1
 AND LINEA_CONECTA_CENTRAL.IDCONECTA=
 LINEA_CONECTAR_COMPTADOR.CONNECTA1_CENTRALCONECTA
 AND LINEA_CONECTA_CENTRAL.IDESTATC=1
 AND COMPTADOR.IDESTADOCOMPATOR=1
 AND CENTRAL.ESTATCENTRAL=1
 AND COMPTADOR.IDCOMPTADOR=
 LINEA_CONECTAR_COMPTADOR.CONNECTA2_COMPTADORCONECTA
 AND CENTRAL.IDCENTRAL=
 LINEA_CONECTA_CENTRAL.CONNECTACPRODU
 AND COMPTADOR.IDCOMPTADOR=
 LINEA_CONECTAR_COMPTADOR.CONNECTA2_COMPTADORCONECTA
AND CENTRAL.IDCENTRAL=n_central;
CURSOR C_ENERGIA_TOLERA IS
 SELECT DISTINCT LINEA_CONECTA_CENTRAL.CONNECTACPRODU,
LINEA_TIPUS.IDTLINEA,LINEA_TIPUS.CONSUMMAXIMTLINEA 
INTO n_central,n_lineaActiva,n_energiaTolerable
FROM LINEA_TIPUS, LINEA_CONECTAR_COMPTADOR,LINEA_CONECTA_CENTRAL
WHERE LINEA_CONECTAR_COMPTADOR.CONNECTA1_CENTRALCONECTA=
LINEA_CONECTA_CENTRAL.IDCONECTA
AND LINEA_CONECTA_CENTRAL.IDESTATC=1
AND LINEA_CONECTAR_COMPTADOR.IDESTATLINEACONECTA=1
AND LINEA_TIPUS.IDESTATTLINEA=1
AND LINEA_TIPUS.IDTLINEA=
LINEA_CONECTAR_COMPTADOR.IDLINEATIPOLINEACONECTA;
 BEGIN
   c_procesLog := 'PRC_ALTA_E2';
    c_dataHoraLog := SYSDATE;
    c_entradaLog :=' Any a consultar: '||p_any;
          DBMS_OUTPUT.ENABLE;
          DBMS_OUTPUT.PUT_LINE(' ');
          DBMS_OUTPUT.PUT_LINE('     ESTADISTIQUES E_3             ');
          DBMS_OUTPUT.PUT_LINE('___________________________________');
          DBMS_OUTPUT.PUT_LINE(' Consulta  Any : 20'||p_any);
          DBMS_OUTPUT.PUT_LINE('___________________________________ ');
          DBMS_OUTPUT.PUT_LINE(' ');
    c_sortidalog := 's_rsp';
 
-- NOMBRE LINEA CONECTADES
SELECT DISTINCT COUNT(LINEA_CONECTAR_COMPTADOR.IDLINEACONECTA) INTO n_registres
FROM LINEA_CONECTAR_COMPTADOR, LINEA_TIPUS
WHERE LINEA_CONECTAR_COMPTADOR.IDLINEATIPOLINEACONECTA=
LINEA_TIPUS.IDTLINEA;
 IF n_registres=0 THEN
 DBMS_OUTPUT.PUT_LINE(' ');
   DBMS_OUTPUT.PUT_LINE('       ESTADISTIQUES E_3              ');
   DBMS_OUTPUT.PUT_LINE(' No hi han lineas connectades. ');
     DBMS_OUTPUT.PUT_LINE('****** FI DE LES OPERACIONS *******');
    s_rsp := ' No hi han lineas connectades. ';
  RAISE  e_e_3;
END IF;
  DBMS_OUTPUT.PUT_LINE('   CONTROL LINEAS SOBRECARREGADES E_3  ');
   DBMS_OUTPUT.PUT_LINE('--------------------------------------');

OPEN C_ENERGIA_TOLERA;
FETCH C_ENERGIA_TOLERA INTO
n_central,n_lineaActiva,n_energiaTolerable;
 WHILE  C_ENERGIA_TOLERA%FOUND LOOP


SELECT DISTINCT SUM(HIST_LECTURA.TOTALCONSUMOHISTLECTURA)  INTO n_comsumEnergia
 FROM HIST_LECTURA, LINEA_CONECTAR_COMPTADOR,LINEA_CONECTA_CENTRAL,
 COMPTADOR,CENTRAL
 WHERE HIST_LECTURA.IDCOMPTADORHISTLECTURA=
 LINEA_CONECTAR_COMPTADOR.CONNECTA2_COMPTADORCONECTA
 AND LINEA_CONECTAR_COMPTADOR.IDESTATLINEACONECTA=1
 AND LINEA_CONECTA_CENTRAL.IDCONECTA=
 LINEA_CONECTAR_COMPTADOR.CONNECTA1_CENTRALCONECTA
 AND LINEA_CONECTA_CENTRAL.IDESTATC=1
 AND COMPTADOR.IDESTADOCOMPATOR=1
 AND CENTRAL.ESTATCENTRAL=1
 AND COMPTADOR.IDCOMPTADOR=
 LINEA_CONECTAR_COMPTADOR.CONNECTA2_COMPTADORCONECTA
 AND CENTRAL.IDCENTRAL=
 LINEA_CONECTA_CENTRAL.CONNECTACPRODU
 AND COMPTADOR.IDCOMPTADOR=
 LINEA_CONECTAR_COMPTADOR.CONNECTA2_COMPTADORCONECTA
AND CENTRAL.IDCENTRAL=n_central
AND HIST_LECTURA.ANYOHISTLECTURA=P_ANY
ORDER BY CENTRAL.IDCENTRAL;


IF n_comsumEnergia>n_energiaTolerable then 
 DBMS_OUTPUT.PUT_LINE('      ');
    DBMS_OUTPUT.PUT_LINE('   LINEA SOBRECARREGADES   ');
   DBMS_OUTPUT.PUT_LINE('-----------------------------');
   t_energiaTolerable:=n_comsumEnergia-n_energiaTolerable;

   DBMS_OUTPUT.PUT_LINE(' Linea '||n_lineaActiva);
    DBMS_OUTPUT.PUT_LINE(' Central  '||n_central);
   DBMS_OUTPUT.PUT_LINE(' Coconsum  '||n_comsumEnergia||' Kw/h.');
   DBMS_OUTPUT.PUT_LINE(' Tolerable  '||n_energiaTolerable||' Kw/h.' );
   DBMS_OUTPUT.PUT_LINE(' Sobrecarregada amb '||t_energiaTolerable||' Kw/h.');
    DBMS_OUTPUT.PUT_LINE(' ');
    s_rsp :='OK sobrecarregades Linea '||n_lineaActiva||
    ' Central  '||n_central||
   ' Coconsum  '||n_comsumEnergia||' Kw/h.  Tolerable  '
   ||n_energiaTolerable||' Kw/h.
   Sobrecarregada amb '||t_energiaTolerable||' Kw/h.';
END IF;
INSERT INTO E_3(linea_E3,consumoContadores_E3,any_E3)
 VALUES(n_lineaActiva,n_comsumEnergia,P_ANY);
 
 DBMS_OUTPUT.PUT_LINE('    ');
  DBMS_OUTPUT.PUT_LINE('   LINEA OPTIMITZADA  ');
   DBMS_OUTPUT.PUT_LINE('----------------------------');
  t_energiaTolerable:=n_comsumEnergia-n_energiaTolerable;
   DBMS_OUTPUT.PUT_LINE(' Linea '||n_lineaActiva);
   DBMS_OUTPUT.PUT_LINE(' Central '||n_central);
   DBMS_OUTPUT.PUT_LINE(' Cosum '||n_comsumEnergia||' Kw/h.');
   DBMS_OUTPUT.PUT_LINE(' Tolerable  '||t_energiaTolerable||' Kw/h.');
     DBMS_OUTPUT.PUT_LINE(' ');
s_rsp :='OK optimitzades: Linea '||n_lineaActiva||
' Central '||n_central||
' Cosum '||n_comsumEnergia||' Kw/h. 
  Tolerable  '||t_energiaTolerable||' Kw/h.';
 
 --OMPLE LA TAULA 
  IF n_comsumEnergia=0 THEN
  n_comsumEnergia:=0;
  END IF;
INSERT INTO E_3(linea_E3,consumoContadores_E3,any_E3)
 VALUES(n_lineaActiva,n_comsumEnergia,P_ANY);
 
FETCH C_ENERGIA_TOLERA INTO
n_central,n_lineaActiva,n_energiaTolerable;

pkg_general.gravar_log_procedure (c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, s_rsp);

END LOOP;
  DBMS_OUTPUT.ENABLE;
  DBMS_OUTPUT.PUT_LINE('__________________________________ ');
  DBMS_OUTPUT.PUT_LINE('Total Lineas: '||n_registres);
  DBMS_OUTPUT.PUT_LINE('****** FI DE LES OPERACIONS *******');
DBMS_OUTPUT.PUT_LINE(' ');
CLOSE C_ENERGIA_TOLERA;
COMMIT;
EXCEPTION
   WHEN OTHERS THEN
      IF s_rsp IS NULL THEN
         -- L'error no ha estat controlat per codi-----------------------------------------
         s_rsp := 'Error: ' || SQLCODE || SUBSTR(SQLERRM, 1, 100);
      ELSE
         -- L'error si ha estat controlat per codi-----------------------------------------
         s_rsp := 'Error: ' || s_rsp;
      END IF;
      DBMS_OUTPUT.ENABLE;
      DBMS_OUTPUT.PUT_LINE(' '); 
      DBMS_OUTPUT.put_line (s_rsp);
      pkg_general.gravar_log_procedure (c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, s_rsp);
      ROLLBACK;  
  
END PRC_ALTA_E_3;  
END "GESTION_E_3";
