 CREATE OR REPLACE
PACKAGE BODY "GESTION_E_6" AS
  c_procesLog	   LOG_TFC.procesLog%TYPE;	
  c_dataHoraLog    LOG_TFC.dataHoraLog%TYPE;
  c_entradaLog     LOG_TFC.entradaLog%TYPE;	
  c_sortidaLog     LOG_TFC.sortidaLog%TYPE;
  s_rsp	           LOG_TFC.rspLog%TYPE; 
  n_idComptador NUMBER;
  n_any NUMBER;
  n_comsumEnergiaMax number;
   n_registres NUMBER;
   n_registresAny NUMBER;
   n_numComptadors NUMBER;
  s_sql VARCHAR2 (2000);
   n_NUM_ERR NUMBER(10);
  sortida varchar2(500):=''; 
  e_e_6     EXCEPTION;

 PROCEDURE PRC_ALTA_E_6(
  s_rsp out NOCOPY VARCHAR)
AS
CURSOR C_E6_10 IS
-- ELS  10 COMPATODORS
SELECT  DISTINCT HIST_LECTURA.IDCOMPTADORHISTLECTURA,
MAX(HIST_LECTURA.TOTALCONSUMOHISTLECTURA)
FROM HIST_LECTURA
GROUP BY HIST_LECTURA.IDCOMPTADORHISTLECTURA
HAVING MAX(HIST_LECTURA.TOTALCONSUMOHISTLECTURA)>-1
AND (
SELECT DISTINCT COUNT(HIST_LECTURA.IDCOMPTADORHISTLECTURA)
FROM HIST_LECTURA
GROUP BY HIST_LECTURA.IDCOMPTADORHISTLECTURA
HAVING COUNT (HIST_LECTURA.IDCOMPTADORHISTLECTURA)>-1)<11
ORDER BY HIST_LECTURA.IDCOMPTADORHISTLECTURA;

CURSOR C_E6_10_ANY IS
-- ELS 10 COMPTADORS PER ANY
SELECT  DISTINCT HIST_LECTURA.IDCOMPTADORHISTLECTURA,
 HIST_LECTURA.ANYOHISTLECTURA,
MAX(HIST_LECTURA.TOTALCONSUMOHISTLECTURA)
FROM HIST_LECTURA
GROUP BY HIST_LECTURA.IDCOMPTADORHISTLECTURA, HIST_LECTURA.ANYOHISTLECTURA
HAVING MAX(HIST_LECTURA.TOTALCONSUMOHISTLECTURA)>-1
AND (
SELECT DISTINCT COUNT(HIST_LECTURA.IDCOMPTADORHISTLECTURA)
FROM HIST_LECTURA
GROUP BY HIST_LECTURA.IDCOMPTADORHISTLECTURA
HAVING COUNT (HIST_LECTURA.IDCOMPTADORHISTLECTURA)>-1)<11
ORDER BY HIST_LECTURA.ANYOHISTLECTURA,HIST_LECTURA.IDCOMPTADORHISTLECTURA;
BEGIN

c_procesLog := 'ESTADISTIQUES E_6 ';
    c_dataHoraLog := SYSDATE;
    c_entradaLog :='ESTADITICA E_5';
          DBMS_OUTPUT.ENABLE;
          DBMS_OUTPUT.PUT_LINE(' ');
          DBMS_OUTPUT.PUT_LINE('     ESTADISTIQUES E_6             ');
          DBMS_OUTPUT.PUT_LINE('___________________________________');
          DBMS_OUTPUT.PUT_LINE(' ');
    c_sortidalog := 's_rsp';
    
-- MIRO SI HI HAN LECTURES EN L'HISTORIC
SELECT DISTINCT COUNT(HIST_LECTURA.ANYOHISTLECTURA)INTO n_numComptadors
FROM HIST_LECTURA
WHERE HIST_LECTURA.ANYOHISTLECTURA>0;
IF n_numComptadors=0 THEN
DBMS_OUTPUT.ENABLE;
DBMS_OUTPUT.PUT_LINE(' ');
   DBMS_OUTPUT.PUT_LINE('       ESTADISTIQUES E_6             ');
   DBMS_OUTPUT.PUT_LINE(' No hi han comptadors en que analitzar per no hever lectures fetes. ');
     DBMS_OUTPUT.PUT_LINE('****** FI DE LES OPERACIONS *******');
    s_rsp := ' No hi han comptadors en que analitzar per no hever lectures fetes. ';
  RAISE  e_e_6;
END IF;  

 DBMS_OUTPUT.ENABLE;
    DBMS_OUTPUT.PUT_LINE('      ');
    DBMS_OUTPUT.PUT_LINE('   ESTADISTIQUES E_6     ');
    DBMS_OUTPUT.PUT_LINE('-----------------------------');
-- CERQUEM ELS VALORS DELS 10 AMB MAXIM CONSUM
OPEN C_E6_10;
FETCH C_E6_10 INTO
n_idComptador,
n_comsumEnergiaMax;

OPEN C_E6_10_ANY;
FETCH C_E6_10_any INTO
n_idComptador,
n_any,
n_comsumEnergiaMax;

n_registres:=0;
WHILE C_E6_10%FOUND  LOOP
n_registres:=n_registres+1;
DBMS_OUTPUT.ENABLE;
DBMS_OUTPUT.PUT_LINE(' Comptador: '||n_idComptador);
DBMS_OUTPUT.PUT_LINE(' Cosums:    '||n_comsumEnergiaMax||' Kw/h.' );
DBMS_OUTPUT.PUT_LINE(' ');
s_rsp := 'OK  Comptador: '||n_idComptador||
        'Consum:  '||n_comsumEnergiaMax||' Kw/h.';
INSERT INTO E_6 (E_6.IDCONTADORE_6,E_6.CONSUMOE_6)
VALUES(n_idComptador,n_comsumEnergiaMax);
FETCH C_E6_10 INTO
n_idComptador,
n_comsumEnergiaMax;
pkg_general.gravar_log_procedure (c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, s_rsp);
 
END LOOP;

 DBMS_OUTPUT.ENABLE;
    DBMS_OUTPUT.PUT_LINE('      ');
    DBMS_OUTPUT.PUT_LINE('   ESTADISTIQUES E_6 PER ANYS    ');
    DBMS_OUTPUT.PUT_LINE('-----------------------------');
WHILE C_E6_10_ANY%FOUND  LOOP
n_registresAny:=n_registresAny+1;
DBMS_OUTPUT.ENABLE;
DBMS_OUTPUT.PUT_LINE(' Comptador: '||n_idComptador);
DBMS_OUTPUT.PUT_LINE(' Any: '||n_any);
DBMS_OUTPUT.PUT_LINE(' Cosums:    '||n_comsumEnergiaMax||' Kw/h.' );
DBMS_OUTPUT.PUT_LINE(' ');
s_rsp := 'OK  Comptador: '||n_idComptador||
   ' Any: '||n_any||
        ' Consum:  '||n_comsumEnergiaMax||' Kw/h.';
FETCH C_E6_10_any INTO
n_idComptador,
n_any,
n_comsumEnergiaMax;
pkg_general.gravar_log_procedure (c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, s_rsp);
 
END LOOP;

 DBMS_OUTPUT.ENABLE;
  DBMS_OUTPUT.PUT_LINE('__________________________________ ');
  DBMS_OUTPUT.PUT_LINE('Total comptadors analitzades: '||n_registres);
  DBMS_OUTPUT.PUT_LINE('Total comptadors anlitzats amb tots els anys: '||n_registresAny);
  DBMS_OUTPUT.PUT_LINE(' ');
  DBMS_OUTPUT.PUT_LINE('****** FI DE LES OPERACIONS *******');
DBMS_OUTPUT.PUT_LINE(' ');

COMMIT;
EXCEPTION
   WHEN OTHERS THEN
      IF s_rsp IS NULL THEN
         -- L'error no ha estat controlat per codi-----------------------------------------
         s_rsp := 'Error: ' || SQLCODE || SUBSTR(SQLERRM, 1, 100);
      ELSE
         -- L'error si ha estat controlat per codi-----------------------------------------
         s_rsp := 'Error: ' || s_rsp;
      END IF;
      DBMS_OUTPUT.ENABLE;
      DBMS_OUTPUT.PUT_LINE(' '); 
      DBMS_OUTPUT.put_line (s_rsp);
      pkg_general.gravar_log_procedure (c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, s_rsp);
      ROLLBACK; 
END PRC_ALTA_E_6;

END "GESTION_E_6";