CREATE OR REPLACE
PACKAGE BODY          "PKG_GENERAL" AS

   
PROCEDURE       gravar_log_procedure (
 c_procesLog         LOG_TFC.procesLog%TYPE,
   c_dataHoraLog       LOG_TFC.dataHoraLog%TYPE,
   c_entradaLog        LOG_TFC.entradaLog%TYPE,
   c_sortidaLog        LOG_TFC.sortidaLog%TYPE,
   c_rspLog   	     LOG_TFC.rspLog%TYPE
)
AS
   PRAGMA AUTONOMOUS_TRANSACTION;

BEGIN
   INSERT INTO LOG_TFC(procesLog, dataHoraLog, entradaLog, sortidaLog, rspLog)
        VALUES (c_procesLog, c_dataHoraLog, c_entradaLog, c_sortidaLog, c_rspLog);
        COMMIT;     -- Aquest COMMIT només afecta a la transacció autònoma
 
END gravar_log_procedure;
END PKG_GENERAL;
