CREATE OR REPLACE
PACKAGE          "GESTION_UBICACIO" AS
-- Alta Ubicacio
PROCEDURE PRC_ALTA_UBICACIO(
        p_idViaUbica in UBICACIO.IDVIAUBICACIO%TYPE,
        p_direccionUbica in UBICACIO.DIRECCIONUBICACIO%TYPE,
        p_numeroUbica in UBICACIO.NUMEROUBICACIO%TYPE,
        p_pisUbica in UBICACIO.PISUBICACIO%TYPE,
        p_portaUbica in UBICACIO.PORTAUBICACIO%TYPE,
        p_codiPostalUbica in UBICACIO.CODIPOSTAL%TYPE,
        p_idLocalitat in UBICACIO.IDLOCALITATUBICACIO%TYPE,
        s_rsp out NOCOPY VARCHAR2);
-- Modificar Ubicacio
PROCEDURE PRC_MODIFICAR_UBICACIO(
        p_idUbica IN UBICACIO.IDUBICA%TYPE,
        p_idViaUbica IN UBICACIO.IDVIAUBICACIO%TYPE,
        p_direccionUbica in UBICACIO.DIRECCIONUBICACIO%TYPE,
        p_numeroUbica in UBICACIO.NUMEROUBICACIO%TYPE,
        p_pisUbica in UBICACIO.PISUBICACIO%TYPE,
        p_portaUbica in UBICACIO.PORTAUBICACIO%TYPE,
        p_codiPostalUbica in UBICACIO.CODIPOSTAL%TYPE,
        p_idLocalitat in UBICACIO.IDLOCALITATUBICACIO%TYPE,
        s_rsp out NOCOPY VARCHAR2);
     --Consultar un Ubicacio
PROCEDURE PRC_CONSULTAR_UNA_UBICACIO_CP(
     p_cpUbica in UBICACIO.CODIPOSTAL%TYPE,
     s_rsp out NOCOPY VARCHAR2);
     
PROCEDURE PRC_CONSULTAR_UBICACIONS(
     s_rsp out NOCOPY VARCHAR2);

END "GESTION_UBICACIO";
