CREATE OR REPLACE
PACKAGE          "GESTION_CONECTA_CENTRALS" AS

PROCEDURE PRC_CONECTA_CENTRALS(
    p_dataAltaConecta in LINEA_CONECTA_CENTRAL.DATAALTAC%Type,
    p_conectaCentralProduccio in LINEA_CONECTA_CENTRAL.CONNECTACPRODU%Type,
    p_conectaCentralDistribucio in LINEA_CONECTA_CENTRAL.CONNECTACDISTRI%Type,
    p_observacionsConecta in LINEA_CONECTA_CENTRAL.OBSERVACIOC%Type,
    s_rsp out NOCOPY VARCHAR);
    
   
--- MODIFICAR CONEXIONS DE CENTRALS 

PROCEDURE PRC_MODIFICA_CONNEXIO(
    p_idConectaCentral in LINEA_CONECTA_CENTRAL.IDCONECTA%Type,
    p_estatConecta in LINEA_CONECTA_CENTRAL.IDESTATC%Type,
    p_dataModificaConectaCentral in LINEA_CONECTA_CENTRAL.DATAMODIFICACIOC%Type,    
    p_conectaCentralProduccio in LINEA_CONECTA_CENTRAL.CONNECTACPRODU%Type,
    p_conectaCentralDistribucio in LINEA_CONECTA_CENTRAL.CONNECTACDISTRI%Type,
    p_observacionsConecta in LINEA_CONECTA_CENTRAL.OBSERVACIOC%Type,
    s_rsp out NOCOPY VARCHAR);

-- CONSULTA CONEXIONS DE CENTRALS

PROCEDURE PRC_CONSULTAR_CONEXIO_CENT(
  p_idConectaCentral in LINEA_CONECTA_CENTRAL.IDCONECTA%Type,
  s_rsp out NOCOPY VARCHAR2); 
  
PROCEDURE PRC_CONSULTAR_CONEXIONS_CENT(
   s_rsp out NOCOPY VARCHAR2); 

END GESTION_CONECTA_CENTRALS;
