CREATE OR REPLACE
PACKAGE          "GESTION_LINEA_CONECTAR" AS

PROCEDURE PRC_CONECTA_LINEA_COMPTADOR(
    p_idTipoLineaConecta in LINEA_CONECTAR_COMPTADOR.IDLINEATIPOLINEACONECTA%Type,
    p_dataAltaLineaConecta in LINEA_CONECTAR_COMPTADOR.DATAALTALINEACONECTA%Type,
    p_conectaCentralDistribucio in LINEA_CONECTAR_COMPTADOR.CONNECTA1_CENTRALCONECTA%Type,
    p_conectaComptador in LINEA_CONECTAR_COMPTADOR.CONNECTA2_COMPTADORCONECTA%Type,
    p_parConecta in LINEA_CONECTAR_COMPTADOR.PARLINEACOMPTADORCONECTA%TYPE,
    p_observacionsLineaConecta in LINEA_CONECTAR_COMPTADOR.OBSERVACIOLINEACONECTA%Type,
    s_rsp out NOCOPY VARCHAR);
    
  
--- MODIFICAR CONEXIONS DE COMPTADOR

PROCEDURE PRC_MODIFICA_CONECTA_COMPTADOR(
    p_idLineaConecta in LINEA_CONECTAR_COMPTADOR.IDLINEACONECTA%TYPE,
    p_idTipoLineaConecta in LINEA_CONECTAR_COMPTADOR.IDLINEATIPOLINEACONECTA%Type,
    p_dataModificaLineaConecta in LINEA_CONECTAR_COMPTADOR.DATAMODIFICACIOLINEACONECTA%Type,
    p_estatLineaConecta in LINEA_CONECTAR_COMPTADOR.IDESTATLINEACONECTA%Type,
    p_conectaCentralDistribucio in LINEA_CONECTAR_COMPTADOR.CONNECTA1_CENTRALCONECTA%Type,
    p_conectaComptador in LINEA_CONECTAR_COMPTADOR.CONNECTA2_COMPTADORCONECTA%Type,
    p_parConecta in LINEA_CONECTAR_COMPTADOR.PARLINEACOMPTADORCONECTA%TYPE,
    p_observacionsLineaConecta in LINEA_CONECTAR_COMPTADOR.OBSERVACIOLINEACONECTA%Type,
    s_rsp out NOCOPY VARCHAR);
  

-- CONSULTA CONEXIONS UNA CENTRAL A UN COMPTADOR

PROCEDURE PRC_CONSULTAR_CONEXIO_LINEA(
  p_idLineaConecta in LINEA_CONECTAR_COMPTADOR.IDLINEACONECTA%TYPE,
  s_rsp out NOCOPY VARCHAR2);

PROCEDURE PRC_CONSULTAR_LINEAS(
   s_rsp out NOCOPY VARCHAR2);
   
END "GESTION_LINEA_CONECTAR";
