CREATE OR REPLACE
PACKAGE          "GESTION_INPECCIONS" AS
--- ALTA INPECCIONS
PROCEDURE PRC_ALTA_INSPECCIONS(
    p_dataInspeccio in INSPECCIO.DATAINSPECCIO%Type,
    p_codiInspector in INSPECCIO.CODIINSPECTOR%Type,
    p_resultatInspeccio in INSPECCIO.IDSUPERAINSPECCIO%TYPE,
    p_observacionsInspeccio in INSPECCIO.OBSERVACIONSINSPECCIO%Type,
    s_rsp out NOCOPY VARCHAR);

--- MODIFICAR INPECCIONS    
PROCEDURE PRC_MODIFICAR_INSPECCIONS(
    p_idInspeccio in INSPECCIO.IDINSPECCIO%Type,
    p_dataInspeccio in INSPECCIO.DATAINSPECCIO%Type,
    p_codiInspector in INSPECCIO.CODIINSPECTOR%Type,
     p_resultatInspeccio in INSPECCIO.IDSUPERAINSPECCIO%TYPE,
    p_observacionsInspeccio in INSPECCIO.OBSERVACIONSINSPECCIO%Type,
    s_rsp out NOCOPY VARCHAR2);

-- CONSULTA INPECCIONS
PROCEDURE PRC_CONSULTAR_INSPECCIONS(
   s_rsp out NOCOPY VARCHAR2);  
END "GESTION_INPECCIONS";
