CREATE OR REPLACE
PACKAGE          "GESTION_LECTURA" AS
PROCEDURE PRC_LEER_LECTURA(
        p_idComptadorLectura IN LECTURA.IDCOMPTADORLECTURA%TYPE,
        p_confirmaLectura IN LECTURA.CONFIRMALECTURA%TYPE,
        p_dataLectura IN LECTURA.DATALECTURA%TYPE,
        p_idTipoLectura IN LECTURA.IDTIPOLECTURA%TYPE,
        p_lecturaActual IN LECTURA.LECTURAACTUAL%TYPE,
        s_rsp out NOCOPY VARCHAR);
PROCEDURE PRC_INICIA_LECTURA(
        lec_idComptadorLectura IN LECTURA.IDCOMPTADORLECTURA%TYPE,
        --lec_confirmaLectura in LECTURA.CONFIRMALECTURA%TYPE,
        lec_dataLectura IN LECTURA.DATALECTURA%TYPE,
        --lec_idTipoLectura IN LECTURA.IDTIPOLECTURA%TYPE,
        --lec_consumLectura IN LECTURA.CONSUMLECTURA%TYPE,
        --lec_lecturaActual IN LECTURA.LECTURAACTUAL%TYPE,
        --lec_lecturaAnterior IN LECTURA.LECTURAANTERIOR%TYPE,
        s_rsp out NOCOPY VARCHAR);
PROCEDURE PRC_CONSULTAR_LECTURES(
        s_rsp out NOCOPY VARCHAR);
END "GESTION_LECTURA";
