CREATE OR REPLACE
PACKAGE          "GESTION_MODELO" AS
PROCEDURE PRC_ALTA_MODELO(
    p_descripcioModelo in MODELO.DESCRIPCIOMODELO%Type,
    p_anyModelo in MODELO.ANYOFABRICAMODELO%Type,
    p_idFabricantModelo in MODELO.IDFABRICANTMODELO%Type,
    p_dataAltaModelo in MODELO.DATAALTAMODELO%Type,
    p_estatModelo in MODELO.ESTATMODELO%Type,
    p_observacionsModelo in MODELO.OBSERVACIONSMODELO%Type,
    s_rsp out NOCOPY VARCHAR2);
    
PROCEDURE PRC_MODIFICAR_MODELO(
    p_idModelo in MODELO.IDMODELO%Type,
    p_descripcioModelo in MODELO.DESCRIPCIOMODELO%Type,
    p_anyModelo in MODELO.ANYOFABRICAMODELO%Type,
    p_idFabricantModelo in MODELO.IDFABRICANTMODELO%Type,
    p_dataModificaModelo in MODELO.DATAMODIFICACIOMODELO%Type,
    p_estatModelo in MODELO.ESTATMODELO%Type,
    p_observacionsModelo in MODELO.OBSERVACIONSMODELO%Type,
    s_rsp out NOCOPY VARCHAR2); 
PROCEDURE PRC_BAIXA_MODELO(
    p_idModelo in MODELO.IDMODELO%Type,
    p_descripcioModelo in MODELO.DESCRIPCIOMODELO%Type,
    p_estatModelo in MODELO.ESTATMODELO%Type,	
    p_dataModificaModelo in MODELO.DATAMODIFICACIOMODELO%Type,
    s_rsp out NOCOPY VARCHAR2);
PROCEDURE PRC_CONSULTAR_MODELO(
  s_rsp out NOCOPY VARCHAR2);
END  "GESTION_MODELO";
